# Contributing

I use [project boards](https://git.gnutelephony.org/bordeaux/projects) on
[gitea](https://git.gnutelephony.org/bordeaux) to manage this project. When
[reporting issues](https://git.gnutelephony.org/bordeaux/issues/new) for this
project, please label it appropriately, whether as an enhancement, a task, or
a bug. An enhancement or task should be discussed first, and enhancements in
particular should also be assigned to the "Develop" project and added to an
appropriate [milestone](https://git.gnutelephony.org/bordeaux/milestones).
Bugs and support requests should be assigned to the "Support" project.

## Merge Requests

1. You should fork the public repo into your own user local copy on the
   gitea server and do any changes there.

2. Your working branch should begin with or simply be the issue number if it
   is related to an existing issue.

3. Create a [pull request](https://git.gnutelephony.org/bordeaux/pulls) from
   your fork to the master branch in the main repo.

4. If the PR is not related to an issue it may have its own project board.
   Otherwise leave the project board and labels blank.

5. Update appropriate documentation as needed for any new change. At minimum,
   please update CHANGELOG.md, at least for new features.

6. I prefer to squash merges to keep the history simple.

## Sprints

[Milestones](https://git.gnutelephony.org/bordeaux/milestones) are used to
organize sprints, and the outcome of a sprint should be a new releasable unit
of work. The duration of a sprint is completion based and may also be tracked
in the "Develop" project board.

## Code of Conduct

Be excellent to each other.  Don't be the asshole.
