# bordeaux(8)

Bordeaux, November 2020-2021

```
bordeaux [options]

```

## Description

Starts an instance of the Bordeaux server. Script files will be loaded, and
a driver executed. Normally Bordeaux is started from an init service, but it
can be executed directly in the foreground, particularly for testing. Debug
builds start in the source test directory, and release builds operate on
live systems.

At minimum a driver must be specified to load and run Bordeaux. For testing,
the dummy test driver may be chosen if none is specified. Static builds of
bordeaux may be named with the -driver suffix, as the driver is pre-linked.

## Options

* **-6**
  Enable IPV6 operation. This forces all name resolutions to be ipv6.
* **--config=**_path_
  Alternate config file to use. The default is /etc/bordeaux.conf. A custom.conf
  can also exist in the server prefix directory with site specific config
  overrides.
* **--driver=**_name_
  Loadable Bayonne driver to execute. Only a single driver can be loaded.
* **-paths**
  Display server paths used.
* **--prefix=**_path_
  Specify alternate data volume. This normally would be /var/lib/bordeaux. The
  most common use might be to remap the data volume for use in a container.
* **--verbose**
  Display verbose output. This is useful when running locally to test the
  service.
* **--help**
  Outputs help screen for the user.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/bordeaux/issues/new>.

## Copyright

Copyright © 2020-2021 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
