# bordeauxctl(1)

Bordeaux, April 2021

```
bordeauxctl [options] command [args...]

```

## Description

Sends a command string to a running bordeaux server, and waits to be
signalled for success or failure. Since command strings are space separated,
the shell can be used to pass cli arguments directly. Content with spaces
can be passed enclosed in a single quote string.

## Options

* **--quiet**
  Only return exit code, produce no output.
* **--session**
  Show session status.
* **--timeout=**_seconds_
  Wait to be signaled for specified timeout. The default is 5 seconds.
* **--help**
  Outputs help screen for the user.

## Exit Status

Exit status can be used to determine command results in shell scripts.

* **0**
  Command sent and successfully processed.
* **1**
  Command send resulted in an error or is invalid.
* **2**
  Command timed out without any response signaled.
* **3**
  Error sending to fifo.
* **4**
  Fifo not found or inaccessible.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/bordeaux/issues/new>.

## Copyright

Copyright © 2021 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
